Name:           telepathy-salut
Version:        0.7.0
Release:        %mkrel 1
Summary:        Connection manager implementing link-local messaging for XMPP

Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%name/%{name}-%version.tar.gz

BuildRequires:	pkgconfig
BuildRequires:	glib2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libxml2-devel
BuildRequires:	avahi-gobject-devel
BuildRequires:	libxslt-proc
BuildRequires:	libtelepathy-glib-devel
BuildRequires:	python
BuildRequires:	python-twisted
BuildRequires:	avahi-python
BuildRequires:	gtk-doc
BuildRequires:	libsoup-2.4-devel
BuildRequires:	libuuid-devel
BuildRequires:	python-xmldiff
BuildRequires:	gnutls-devel
Requires:	telepathy-filesystem

%description
telepathy-salut is a connection manager implementing link-local
messaging for XMPP

http://www.xmpp.org/extensions/xep-0174.html

%files
%doc docs/clique.xml NEWS README 
%{_libdir}/telepathy-salut
%{_mandir}/man8/telepathy-salut.8.*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/salut.manager

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --enable-gtk-doc --enable-olpc
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot%_datadir/%name



%changelog

* Mon Nov 21 2011 wally <wally> 0.7.0-1.mga2
+ Revision: 170554
- new version 0.7.0
- add missing BR avahi-python and python-twisted

* Mon Oct 17 2011 mikala <mikala> 0.5.2-1.mga2
+ Revision: 155890
- Update tarball to 0.5.2

  + fwang <fwang>
    - rebuild for new gnutls

* Fri Jun 24 2011 dmorgan <dmorgan> 0.5.0-1.mga2
+ Revision: 112905
- Add gnutls-devel as buildrequires ( for wocky)
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- New version 0.5.0

* Sun Apr 03 2011 pterjan <pterjan> 0.4.0-1.mga1
+ Revision: 80236
- imported package telepathy-salut


* Wed Mar 16 2011 Stéphane Téletchéa <steletch@mandriva.org> 0.4.0-1mdv2011.0
+ Revision: 645450
- update to new version 0.4.0

* Fri Oct 01 2010 Funda Wang <fwang@mandriva.org> 0.3.13-1mdv2011.0
+ Revision: 582222
- update to new version 0.3.13

* Mon Aug 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.12-2mdv2011.0
+ Revision: 567818
- add BR libuuid-devel

* Mon Aug 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.12-1mdv2011.0
+ Revision: 567815
- update to 0.3.12
- remove redundant BR
- remove --enable-handle-leak-debug configure option, doesn't exist any more

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 0.3.11-1mdv2010.1
+ Revision: 535571
- update to new version 0.3.11

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 0.3.10-2mdv2010.0
+ Revision: 454729
- do not package huge ChangeLog

* Thu Sep 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.3.10-1mdv2010.0
+ Revision: 437156
- update to new version 0.3.10

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 0.3.9-1mdv2010.0
+ Revision: 369663
- update to new version 0.3.9

* Wed Mar 04 2009 Aleksey Lim <alsroot@mandriva.org> 0.3.8-1mdv2009.1
+ Revision: 348237
- Update to new version 0.3.8

* Sat Jan 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.3.7-1mdv2009.1
+ Revision: 327950
- Update to new version 0.3.7 (uses libsoup 2.4 instead of 2.2)

* Fri Dec 05 2008 Frederik Himpe <fhimpe@mandriva.org> 0.3.6-1mdv2009.1
+ Revision: 310872
- Fix BuildRequires
- update to new version 0.3.6

* Tue Oct 28 2008 Bogdano Arendartchuk <bogdano@mandriva.com> 0.3.5-2mdv2009.1
+ Revision: 297988
- enabled the OLPC features support, as they are needed by
  sugar-presence-service

* Sat Oct 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.3.5-1mdv2009.1
+ Revision: 292462
- update to new version 0.3.5

* Wed Aug 20 2008 Frederik Himpe <fhimpe@mandriva.org> 0.3.4-1mdv2009.0
+ Revision: 274390
- update to new version 0.3.4

* Sun Jun 15 2008 Funda Wang <fwang@mandriva.org> 0.3.3-1mdv2009.0
+ Revision: 219228
- New version 0.3.3

* Sat May 17 2008 Funda Wang <fwang@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 208458
- BR libtelepathy-glib-devel
- add BR
- New version 0.3.2

  + Michael Scherer <misc@mandriva.org>
    - fix url source

* Wed Jan 09 2008 Jérôme Soyer <saispo@mandriva.org> 0.3.0-1mdv2008.1
+ Revision: 147241
- New release

* Sat Jan 05 2008 Jérôme Soyer <saispo@mandriva.org> 0.2.0-1mdv2008.1
+ Revision: 145855
- Try in iurt before submit to BS
- New release 0.2.0
- Fix build and new version 0.2.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.1.5-1mdv2008.1
+ Revision: 97703
- New release 0.1.5

* Sat Jun 16 2007 Michael Scherer <misc@mandriva.org> 0.1.3-1mdv2008.0
+ Revision: 40410
- fix BuildRequires
- fix Release

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New version 0.1.3

* Thu May 03 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.2-2mdv2008.0
+ Revision: 22011
- Rebuild
-New version

* Mon Apr 16 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.1-1mdv2007.1
+ Revision: 13512
- New version 0.1.1


* Thu Jan 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.0-1mdv2007.0
+ Revision: 110192
- Import telepathy-salut

